=== debian/changelog ===
votca-csg (1.2.3-1) unstable; urgency=low

  [ Christoph Junghans ]
  * Initial release (Closes: #621874)

 -- Michael Banck <mbanck@debian.org>  Thu, 29 May 2014 21:48:48 +0200
