=== debian/control ===
Source: votca-csg
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>, Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-python, cmake, gromacs-dev, libvotca-tools-dev, txt2tags, libboost-program-options-dev, pkg-config, python, bash-completion
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://www.votca.org

Package: libvotca-csg2-dev
Section: libdevel
Architecture: any
Depends: libvotca-csg2 (= ${binary:Version}), ${misc:Depends}
Description: VOTCA's coarse-graining library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.
 .
 This package contains header files and pkg-config files and templates 
 for VOTCA programs.

Package: libvotca-csg2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VOTCA's coarse-graining library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.

Package: votca-csg-scripts
Architecture: all
Depends: perl5, bash (>= 4), ${python:Depends}, ${misc:Depends}
Description: VOTCA's coarse-graining scripts
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent coarse-graining scripts. 

Package: votca-csg-tutorials
Architecture: all
Depends: bash (>= 4), ${misc:Depends}
Description: VOTCA's coarse-graining tutorials
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent tutorials.. 

Package: votca-csg
Architecture: any
Depends: libvotca-csg2 (= ${binary:Version}), votca-csg-scripts (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: votca-csg-tutorials
Description: VOTCA's coarse-graining engine
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 csg is Votca's coarse-graining engine.
