=== debian/watch ===
version=3
http://code.google.com/p/votca/downloads/list .*/votca-csg-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
