## votca-csg 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(votca-csg)
 
-set(PROJECT_VERSION "1.2.3")
+set(PROJECT_VERSION "1.2.4")
 set(PROJECT_CONTACT "bugs@votca.org")
 string(REGEX REPLACE "^[1-9]+\\.([1-9]+).*$" "\\1" SOVERSION "${PROJECT_VERSION}")
 if (NOT ${SOVERSION} MATCHES "[1-9]+")
@@ -46,6 +46,8 @@
 ########################################################################
 #Find external packages
 ########################################################################
+find_package(Threads REQUIRED)
+set(THREAD_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
 find_package(TXT2TAGS)
 option(EXTERNAL_BOOST "Use external boost" ON)
 if (EXTERNAL_BOOST)
