=== share/xml/CMakeLists.txt ===
file(GLOB_RECURSE VOTCA_XML *.xml)
install(FILES ${VOTCA_XML} DESTINATION ${DATA}/xml)
