=== debian/changelog ===
votca-csg (1.2.4-1) unstable; urgency=medium

  [ Christoph Junghans]
  * version bump (Closes: #759974)

  [ Nicholas Breen ]
  * Add Vcs-Browser and Vcs-Svn fields to debian/control

 -- Christoph Junghans <junghans@votca.org>  Fri, 05 Sep 2014 19:06:32 +0200
