=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://www.votca.org
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-csg/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/votca-csg/
 
 Package: libvotca-csg2-dev
 Section: libdevel
