=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH)
+	#drop WITH_GMX_DEVEL=ON in Version >=1.3
+	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH) -DWITH_GMX_DEVEL=ON
 
 override_dh_python2:
 	dh_python2 /usr/share/votca/scripts/inverse/ -X.sh -X.pl
