=== debian/watch ===
version=3
http://downloads.votca.googlecode.com/hg/votca-csg-([.0-9]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
