## votca-csg 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(votca-csg)
 
-set(PROJECT_VERSION "1.2.4")
+set(PROJECT_VERSION "1.3")
 set(PROJECT_CONTACT "bugs@votca.org")
 string(REGEX REPLACE "^[1-9]+\\.([1-9]+).*$" "\\1" SOVERSION "${PROJECT_VERSION}")
 if (NOT ${SOVERSION} MATCHES "[1-9]+")
@@ -12,10 +12,13 @@
 # Cmake modules/macros are in a subdirectory to keep this file cleaner
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules)
 
-if(NOT CMAKE_BUILD_TYPE)
+if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CXX_FLAGS)
   #Release comes with -O3 by default
   set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
-endif(NOT CMAKE_BUILD_TYPE)
+endif(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CXX_FLAGS)
+if(CMAKE_BUILD_TYPE STREQUAL Debug)
+  add_definitions(-DDEBUG)
+endif(CMAKE_BUILD_TYPE STREQUAL Debug)
 
 enable_language(CXX)
 
@@ -41,37 +44,48 @@
 endif(NOT DEFINED DATA)
 
 # this has to be the include specification!
-include_directories(${CMAKE_SOURCE_DIR}/include)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 ########################################################################
 #Find external packages
 ########################################################################
+if(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/.git)
+  find_package(Git)
+endif(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/.git)
+
 find_package(Threads REQUIRED)
 set(THREAD_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
-find_package(TXT2TAGS)
-option(EXTERNAL_BOOST "Use external boost" ON)
-if (EXTERNAL_BOOST)
-  find_package(Boost 1.39.0 COMPONENTS program_options )
-  if(NOT Boost_FOUND)
-    message(FATAL_ERROR "Boost not found,  make sure you have also installed boost and it's dev package or use our internal replacement, if you have built tools with -DEXTERNAL_BOOST=OFF and set it here as well")
-  endif(NOT Boost_FOUND)
-  include_directories(${Boost_INCLUDE_DIRS})
-  set (BOOST_LIBRARIES ${Boost_PROGRAM_OPTIONS_LIBRARY})
-  set (BOOST_PKG)
-  set (BOOST_CFLAGS_PKG "-I${Boost_INCLUDE_DIRS}")
-  string(REGEX REPLACE "^(.*)/lib([^/]*)\\.[^.]*$" "-L\\1 -l\\2" BOOST_LIBS_PKG ${BOOST_LIBRARIES})
-else(EXTERNAL_BOOST)
-  find_package(VOTCA_BOOST REQUIRED)
-  include_directories(${VOTCA_BOOST_INCLUDE_DIRS})
-  set (BOOST_LIBRARIES ${VOTCA_BOOST_LIBRARIES})
-  set (BOOST_PKG "libvotca_boost")
-  set (BOOST_INCLUDE_DIR_PKG)
-  set (BOOST_LIB_PKG)
-  set (BOOST_LIB_DIR_PKG)
-endif(EXTERNAL_BOOST)
+option(BUILD_MANPAGES "Build manpages" ON)
+if (BUILD_MANPAGES)
+  find_package(TXT2TAGS)
+  find_package(UnixCommands)
+else (BUILD_MANPAGES)
+  #we use TXT2TAGS_FOUND conditionals in other CMakeLists.txt
+  #so that TXT2TAGS is never required
+  set(TXT2TAGS_FOUND)
+endif (BUILD_MANPAGES)
+
+find_package(Boost 1.39.0 REQUIRED COMPONENTS program_options filesystem system )
+include_directories(${Boost_INCLUDE_DIRS})
+set (BOOST_CFLAGS_PKG "-I${Boost_INCLUDE_DIRS}")
+set(BOOST_LIBS_PKG "-L${Boost_LIBRARY_DIRS}")
+foreach(_blib ${Boost_LIBRARIES})
+  string(REGEX REPLACE ".*/lib([^/]*)\\.[^.]*$" "-l\\1" _blib ${_blib})
+  set(BOOST_LIBS_PKG "${BOOST_LIBS_PKG} ${_blib}")
+endforeach(_blib)
+
 find_package(VOTCA_TOOLS REQUIRED)
 include_directories(${VOTCA_TOOLS_INCLUDE_DIRS})
-find_package(UnixCommands)
+
+option(WITH_GMX "Build gromacs reader/writer, disabling leads to reduced functionality!" ON)
+if (WITH_GMX)
+  foreach(LIBGMX libgmx_d libgmx libgromacs_d libgromacs)
+    find_package(GROMACS COMPONENTS "${LIBGMX}")
+    if (GROMACS_FOUND)
+      break()
+    endif(GROMACS_FOUND)
+  endforeach(LIBGMX)
+endif(WITH_GMX) 
 
 ########################################################################
 # Basic system tests (standard libraries, headers, functions, types)   #
@@ -105,11 +119,20 @@
 ######################################
 # Include the following subdirectory # 
 ######################################
-add_custom_target(manpages ALL)
+if(NOT TARGET manpages)
+  add_custom_target(manpages ALL)
+endif()
 add_subdirectory(scripts)
 add_subdirectory(src)
 add_subdirectory(include/votca/csg)
 add_subdirectory(share)
 
+file(GLOB VOTCA_CMAKE_MODULES CMakeModules/FindVOTCA* CMakeModules/FindSQLITE3.cmake)
+install(FILES ${VOTCA_CMAKE_MODULES} DESTINATION ${DATA}/template/CMakeModules)
+
 configure_file(${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
-add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+add_custom_target(uninstall-csg COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+if(NOT TARGET uninstall)
+  add_custom_target(uninstall)
+endif()
+add_dependencies(uninstall uninstall-csg)
