=== debian/changelog ===
votca-csg (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/CheckCXXLibraryExists.patch: Import patch to fix FTBFS
    with cmake >= 3.4.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 19 Aug 2016 10:34:58 +0200

votca-csg (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: change B-D on gromacs-dev to libgromacs-dev.
  * debian/control: Add Replaces/Breaks for clean upgrades from
    libvotca-csg2* to csg[3]*.  (Closes: #821734)

 -- Nicholas Breen <nbreen@debian.org>  Thu, 18 Aug 2016 11:33:32 +0200

votca-csg (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on perl, not perl5 which is long obsolete.  Closes: #820877.

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Jul 2016 22:36:32 +0000

votca-csg (1.3.0-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Junghans ]
  * debian/rules (override_dh_auto_configure): Remove -DWITH_GMX_DEVEL=ON.
  * debian/rules (override_dh_auto_install):Updated.

  [ Michael Banck ]
  * debian/patches/gromacs-5.1.patch: Removed, no longer needed. 
  * debian/control (Build-Depends): Added libsqlite3-dev,
    libboost-filesystem-dev and libboost-system-dev.
  * debian/control (libvotca-csg2-dev): Renamed to ...
  * debian/control (libvotca-csg-dev): ... this.
  * debian/control (libvotca-csg2): Renamed to ...
  * debian/control (libvotca-csg3): ... this.
  * debian/control (votca-csg/Depends): Removed libvotca-csg3.
  * debian/libvotca-csg2.install: Renamed to ...
  * debian/libvotca-csg3.install: ... this.
  * debian/libvotca-csg2-dev.install: Renamed to ...
  * debian/libvotca-csg-dev.install: ... this.

 -- Michael Banck <mbanck@debian.org>  Thu, 03 Mar 2016 00:59:36 +0100

votca-csg (1.2.4-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * Fixed some lintian reported issues.
  * debian/copyright: Replaced references to code.google.com.
  * debian/watch: Updated after project moved to github.
  * debian/upstream: Renamed to debian/upstream/metadata. Replaced references
    to code.google.com accordingly.

  [ Michael Banck ]
  * debian/patches/gromacs-5.1.patch: New patch, allows building against
    Gromacs-5.1, by Christoph Junghans (Closes: #802357).

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Nov 2015 23:38:25 +0100
