=== debian/control ===
Source: votca-csg
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>,
           Michael Banck <mbanck@debian.org>
Build-Depends: bash-completion,
               cmake,
               debhelper (>= 9.0.0),
               dh-python,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libgromacs-dev,
               libsqlite3-dev,
               libvotca-tools-dev,
               pkg-config,
               python,
               txt2tags
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://www.votca.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-csg/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/votca-csg/

Package: libvotca-csg-dev
Section: libdevel
Architecture: any
Depends: libvotca-csg3 (= ${binary:Version}), ${misc:Depends}
Breaks: libvotca-csg2-dev
Replaces: libvotca-csg2-dev
Description: VOTCA's coarse-graining library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.
 .
 This package contains header files and pkg-config files and templates
 for VOTCA programs.

Package: libvotca-csg3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libvotca-csg2
Replaces: libvotca-csg2
Description: VOTCA's coarse-graining library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.

Package: votca-csg-scripts
Architecture: all
Depends: bash (>= 4), perl, ${misc:Depends}, ${python:Depends}
Description: VOTCA's coarse-graining scripts
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent coarse-graining scripts.

Package: votca-csg-tutorials
Architecture: all
Depends: bash (>= 4), ${misc:Depends}
Description: VOTCA's coarse-graining tutorials
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent tutorials..

Package: votca-csg
Architecture: any
Depends: votca-csg-scripts (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: votca-csg-tutorials
Description: VOTCA's coarse-graining engine
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 csg is Votca's coarse-graining engine.
