=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_configure:
-	#drop WITH_GMX_DEVEL=ON in Version >=1.3
-	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH) -DWITH_GMX_DEVEL=ON
+	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_python2:
 	dh_python2 /usr/share/votca/scripts/inverse/ -X.sh -X.pl
@@ -23,7 +22,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	cp -r tutorials debian/tmp/usr/share/votca/
-	rm -f debian/tmp/usr/share/votca/tutorials/.hg* debian/tmp/usr/share/votca/tutorials/spce/realtime/clean.sh
 
 %:
 	dh $@ --with bash-completion,python2
