=== debian/changelog ===
votca-csg (1.4.1-1build1) bionic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 11:51:29 +0100

votca-csg (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Drop CheckCXXLibraryExists.patch, incorporated upstream.
    - Rename libvotca-csg3 to libvotca-csg4.
  * Tighten build dependency on libvotca-tools-dev to a 1.4 version.
  * Add B-D on libgsl-dev.
  * Bump Standards-Version to 4.1.3.
  * debian/patches/solvematlab-syntax.patch: fix syntax error in
    solve_matlab.sh.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 11 Jan 2018 20:12:52 -0800
