=== debian/control ===
--- 
+++ 
@@ -12,12 +12,14 @@
                libboost-program-options-dev,
                libboost-system-dev,
                libgromacs-dev,
+               libgsl-dev,
                libsqlite3-dev,
-               libvotca-tools-dev,
+               libvotca-tools-dev (>= 1.4.1),
+               libvotca-tools-dev (<= 1.5~),
                pkg-config,
                python,
                txt2tags
-Standards-Version: 3.9.5
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 Homepage: http://www.votca.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-csg/
@@ -26,7 +28,7 @@
 Package: libvotca-csg-dev
 Section: libdevel
 Architecture: any
-Depends: libvotca-csg3 (= ${binary:Version}), ${misc:Depends}
+Depends: libvotca-csg4 (= ${binary:Version}), ${misc:Depends}
 Breaks: libvotca-csg2-dev
 Replaces: libvotca-csg2-dev
 Description: VOTCA's coarse-graining library, development kit
@@ -40,12 +42,12 @@
  This package contains header files and pkg-config files and templates
  for VOTCA programs.
 
-Package: libvotca-csg3
+Package: libvotca-csg4
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libvotca-csg2
-Replaces: libvotca-csg2
+Breaks: libvotca-csg2, libvotca-csg3
+Replaces: libvotca-csg2, libvotca-csg3
 Description: VOTCA's coarse-graining library
  VOTCA is a software package which focuses on the analysis of molecular
  dynamics data, the development of systematic coarse-graining techniques as
