=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	cp -r tutorials debian/tmp/usr/share/votca/
+	rm -f debian/tmp/usr/share/votca/tutorials/.gitignore
+	-chmod 755 debian/tmp/usr/share/votca/tutorials/urea-water/kb-ibi/run.sh
 
 %:
 	dh $@ --with bash-completion,python2
